Page MenuHomePhabricator

SRE FY19-20 Q1 goal: complete the transition to PHP7
Closed, ResolvedPublic

Description

The SRE serviceops team wants to conclude T176370, the migration to php 7.x, by the end of June 2019. This will mean a series of subgoals will need to be carried out:

  • Remove php7 beta feature, move logged-in users to use the extracted cookie as well.
  • Allow directing a percentage traffic to the api cluster to php7
  • Use php7 to run maintenance scripts
  • Ramp up percentage of users on php7.2 to 100% on both API and appserver clusters
  • Use php7 for processing async jobs
  • Remove hhvm from production (stretch) T229792

This goal the continuance of FY18-19 Q4

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterRemove the cookie extraction for sending users to PHP7
operations/puppet : productionlvs: do not check hhvm/php7 at the same time anymore.

Related Objects

StatusAssignedTask
Resolvedjijiki
Resolvedjijiki
ResolvedNone
Resolvedjijiki
ResolvedNone
ResolvedNone
Invalidjijiki
ResolvedNone
ResolvedNone
ResolvedDzahn
ResolvedRobH
ResolvedCmjohnson
ResolvedMoritzMuehlenhoff
ResolvedPapaul
ResolvedSmalyshev
Resolvedjcrespo
ResolvedJdforrester-WMF
ResolvedNone
ResolvedDzahn
ResolvedReedy
DuplicateNone
ResolvedKrinkle
ResolvedJoe
DuplicateNone
ResolvedDzahn
ResolvedAndrew
Openjijiki
Openawight
Openjijiki
Resolvedjijiki

Event Timeline

Joe created this task.Mar 25 2019, 10:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 10:28 AM
Joe triaged this task as Normal priority.Mar 25 2019, 10:29 AM
Joe added projects: serviceops, Operations.
Joe updated the task description. (Show Details)
jijiki added a subscriber: jijiki.Mar 26 2019, 3:36 PM
Reedy updated the task description. (Show Details)May 14 2019, 5:11 PM
akosiaris moved this task from Backlog to Next up on the serviceops board.Jun 21 2019, 8:58 AM
Joe moved this task from Next up to Backlog on the serviceops board.Jun 21 2019, 9:37 AM
jijiki moved this task from Backlog to Goal tasks on the serviceops board.Jul 5 2019, 10:18 AM
Fito updated the task description. (Show Details)Jul 17 2019, 9:34 PM
jijiki renamed this task from SRE FY2019 Q4 goal: complete the transition to PHP7 to SRE FY19-20 Q1 goal: complete the transition to PHP7.Jul 22 2019, 10:13 AM
jijiki updated the task description. (Show Details)
jijiki updated the task description. (Show Details)Jul 26 2019, 10:28 AM
Joe updated the task description. (Show Details)Sep 24 2019, 11:33 AM

Change 538864 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] lvs: do not check hhvm/php7 at the same time anymore.

https://gerrit.wikimedia.org/r/538864

Change 538864 merged by Giuseppe Lavagetto:
[operations/puppet@production] lvs: do not check hhvm/php7 at the same time anymore.

https://gerrit.wikimedia.org/r/538864

Change 539128 had a related patch set uploaded (by Krinkle; owner: Giuseppe Lavagetto):
[mediawiki/extensions/WikimediaEvents@master] Remove the cookie extraction for sending users to PHP7

https://gerrit.wikimedia.org/r/539128

Change 539128 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove the cookie extraction for sending users to PHP7

https://gerrit.wikimedia.org/r/539128

jijiki closed this task as Resolved.Fri, Oct 25, 6:23 AM
jijiki claimed this task.
jijiki updated the task description. (Show Details)

I believe this is done:)
Removing HHVM is continuing under T229792